---
title: Xamarin.Android error APT0001
description: APT0001 error code
ms.date: 08/01/2018
---
# Xamarin.Android error APT0001

## Example messages

```
error APT0001: unknown option -- --no-crunch . This is the result of using `aapt` command line arguments with `aapt2`. The arguments are not compatible.
```

## Issue

The new Android `aapt2` resource tool has different commandline arguments to the
older `aapt` tool. These are generally incompatible with each other.

## Solution

If you are receiving this error, check that the values provided in

```xml
<AndroidAapt2LinkExtraArgs/>
<AndroidAapt2CompileExtraArgs>
```

are valid for `aapt2`. You can use `aapt2 compile` and `aapt2 link` to view
the list of valid arguments.
