---
title: Xamarin.Android warning XA0117
description: XA0117 warning code
ms.date: 10/03/2018
---
# Xamarin.Android warning XA0117

## Issue

As the Android platform evolves certain versions will be deprecated and
removed. How we decide if a platform is deprecated largely depends on whether
the [Android NDK][ndk] continues to support the platform in question.
It also depends on whether the
[Android Support Libraries support that platform][support].

If both the Android NDK and the Android Support Libraries have removed support
for a particular `apiLevel`, then it is highly likely that support for the
API level will be deprecated and removed from Xamarin.Android.

If you are seeing this warning, it is because your `$(TargetFrameworkVersion)`
is set to a value which is likely to be deprecated in the near future.

## Solution

To remove this warning, update your `$(TargetFrameworkVersion)` to use
the latest stable platform.

Your `android:minSdk` value within *AndroidManifest.xml* can still mention
older versions of the android platform.


[ndk]: https://developer.android.com/ndk/downloads/revision_history
[support]: https://developer.android.com/distribute/best-practices/develop/target-sdk


